Update Site

Update Site
Update an existing site on the platform.

Update an existing site to support actions like reconnecting. The platform will keep the site up to date as long as the site remains connected and healthy, thus, updating information on the site is not required. However, in the case of a connection being lost, update allows the site to be reconnected using provided credentials.

Notes:

  • The credentials provided are one-time use to re-establish the connection. They are never stored or re-used.
  • Connection Type Changes Not Allowed: You cannot change the connection type (DYNAMIC <-> STATIC) during a reconnect operation. The connection type must remain the same as it was during initial onboarding.
  • To Change Connection Type: You must first offboard the site, then onboard it again with the new connection type.
  • IP/Hostname Changes Allowed:
    • For DYNAMIC mode: You can change the hostname during reconnect.
    • For STATIC mode: You can change the host addresses (IPs/ports) during reconnect.
Request
URI
PUT
https://{api_host}/ssp/sites/{site-id}
COPY
Path Parameters
string
site-id
Required  

The site ID of the site being updated.


Request Body

All required details for taking action on a site.

Site of type(s) application/json
Required  
OneOf
This class requires at least one of the following:
{
    "site_connection_info": {
        "connection_type": "DYNAMIC",
        "hostname": "192.168.0.1",
        "username": "admin",
        "password": "password123",
        "certificate": "{nsx_cert}"
    },
    "site_type": "NSX_MANAGER",
    "site_name": "nsx-mgr-0",
    "desired_state": "ONBOARD"
}
Authentication
This operation uses the following authentication methods.
Responses
202

ACCEPTED

Returns AsyncApiResponse of type(s) application/json
{
    "id": "b8f47985-22ed-3193-bca8-11c7b025cbce",
    "status_url": "/operation/status"
}
string
id
Optional

UUID identifier of the response.

string
status_url
Optional

The URL to check the status of the operation.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Unexpected error

Returns Error of type(s) application/json
{
    "error_code": 200001,
    "error_message": "An internal server error occurred.",
    "module_name": "site"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/ssp/sites/{site-id}